version: '3.4'

x-logging:
  &default-logging
  options:
    max-size: '10m'
    max-file: '5'
  driver: json-file

services:
  db:
    image: "mariadb:10.4"
    restart: unless-stopped
    environment:
        MYSQL_ROOT_PASSWORD: ${MYSQL_ROOT_PASSWORD:-rootpwd}
        MYSQL_DATABASE: ${MYSQL_DATABASE:-medialib}
        MYSQL_USER: ${MYSQL_USER:-smf}
        MYSQL_PASSWORD: ${MYSQL_PASSWORD:-test123}
    ports:
      - 3306:3306
    networks:
        - default
    logging: *default-logging
    volumes:
        - ${BASE_PATH:-/data}/database/db:/var/lib/mysql
        - ./mysqlconfig:/etc/mysql/conf.d
